Branches
Get branch by NMLS ID
Retrieve full details for a single NMLS mortgage branch including name, address, parent company, managers, trade names, licensing, and branch-level production for the selected period.
x-api-key<token>
In: header
Path Parameters
nmlsId*string
Branch NMLS ID
Query Parameters
period?string
Period for production metrics (default: last12Months). Does NOT apply to teamSize, which is a current snapshot and reads the same on every period.
Value in
"2017" | "2018" | "2019" | "2020" | "2021" | "2022" | "2023" | "2024" | "2025" | "2026" | "last3Months" | "last6Months" | "last12Months" | "last14Months" | "last16Months" | "last18Months" | "last24Months" | "yearToDate" | "allTime"Response Body
application/json
application/json
curl -X GET "https://example.com/v1/branches/string"{
"data": {
"avgLoanAmount": 0,
"city": "string",
"communityLending": {
"affordableHousingTractCount": 0,
"affordableHousingTractPct": 0,
"avgAsianPct": 0,
"avgBlackPct": 0,
"avgDenialRate": 0,
"avgFamilyIncome": 0,
"avgHispanicPct": 0,
"avgHomeValue": 0,
"avgHomeownershipRate": 0,
"avgHouseholdIncome": 0,
"avgIncomeVsMetroPct": 0,
"avgLowModHouseholdPct": 0,
"avgMedianAge": 0,
"avgMilesToCollege": 0,
"avgMilesToSchool": 0,
"avgMilesToWorship": 0,
"avgMinorityPct": 0,
"avgPopulation": 0,
"avgPovertyRate": 0,
"avgTractApplications": 0,
"avgTractLoanVolume": 0,
"avgTractOriginations": 0,
"avgWhiteNonHispanicPct": 0,
"difficultDevelopmentAreaCount": 0,
"difficultDevelopmentAreaPct": 0,
"distressedTractCount": 0,
"distressedTractPct": 0,
"floodHazardTractCount": 0,
"floodHazardTractPct": 0,
"loansWithCommunityData": 0,
"lowModIncomeTractCount": 0,
"lowModIncomeTractPct": 0,
"majorityMinorityTractCount": 0,
"majorityMinorityTractPct": 0,
"opportunityZoneCount": 0,
"opportunityZonePct": 0,
"predominantFloodZone": "string",
"predominantIncomeLevel": "low",
"ruralGradient": 0,
"ruralTractCount": 0,
"ruralTractPct": 0,
"usdaEligibleTractCount": 0,
"usdaEligibleTractPct": 0
},
"companyName": "string",
"companyNmlsId": "string",
"companyType": "string",
"coordinates": {
"lat": 0,
"lon": 0
},
"id": "string",
"isAuthorized": true,
"licensedStates": [
"string"
],
"loCount": 0,
"managerCount": 0,
"managers": [
{
"name": "string",
"nmlsId": "string"
}
],
"name": "string",
"nmlsId": "string",
"purchasePct": 0,
"refinancePct": 0,
"rosterJoined": 0,
"rosterLeft": 0,
"state": "string",
"street": "string",
"teamSize": 0,
"tradenames": [
"string"
],
"units": 0,
"volume": 0,
"zip": "string"
}
}{
"error": "string"
}Count branches matching filters POST
Return the exact number of branches matching the given filters. Accepts the same request body as `listBranches` (pagination and sort are ignored). Use this when you only need a total; to get the matching branches themselves, send the same request body to `listBranches`.
Get bulk-delivery job status for branches GET
Next Page